libvorbis documentation | libvorbis version 1.3.2 - 20101101

# vorbis_comment_init

declared in "vorbis/codec.h";

This function initializes a vorbis_comment structure for use. After calling this function, the vorbis_comment structure contains no comments.

Note: No internal storage is allocated by this function; internal storage is allocated as needed by other libvorbis functions that modify the vorbis_comment structure. If you modify the vorbis_comment structure directly, without using libvorbis, you should not call vorbis_comment_clear when you are finished but instead clean up after it yourself. See the note on the vorbis_comment_clear page for more information.

    extern void     vorbis_comment_init(vorbis_comment *vc);

### Parameters

vc
  Pointer to the vorbis_comment structure to initialize.

### Return Values

> - None.

copyright © 2010 Xiph.Org | Ogg Vorbis
libvorbis documentation | libvorbis version 1.3.2 - 20101101